<?php 

require_once "../controladores/unidades.controlador.php";
require_once "../modelos/unidades.modelo.php";

class AjaxUnidades{

        /*=============================================
	VALIDAR NO REPETIR Unidad
	=============================================*/	

	public $validarUnidad;

	public function ajaxValidarUnidad(){

		$item = "descripcion";
		$valor = $this->validarUnidad;

		$respuesta = ControladorUnidades::ctrMostrarUnidades($item, $valor);

		echo json_encode($respuesta);

	}
/*=============================================
	EDITAR Unidad
	=============================================*/	

	public $idUnidad;

    public function ajaxEditarUnidad(){

        $item = "id";
        $valor = $this -> idUnidad;
        $respuesta = ControladorUnidades:: ctrMostrarUnidades($item, $valor);

        echo json_encode($respuesta);

    }
}

/*=============================================
VALIDAR NO REPETIR Unidad
=============================================*/

if(isset( $_POST["validarUnidad"])){

	$valUnidad = new AjaxUnidades();
	$valUnidad -> validarUnidad = $_POST["validarUnidad"];
	$valUnidad -> ajaxValidarUnidad();

}
/** EDITAR USUARIO */

if(isset($_POST["idUnidad"])){
    $editar = new AjaxUnidades();
    $editar -> idUnidad = $_POST["idUnidad"];
    $editar -> ajaxEditarUnidad();

}